Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #268

Lyrics plugin should strip the title of round and square brackets if it cannot find the lyrics for the
original title

March 11, 2013 09:18 - Artem S. Tashkinov

Status: Rejected Start date: March 11, 2013
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/lyricwiki Estimated time: 0.00 hour

Target version:

Affects version:

Description

Most songs' titles in Lyricswiki have this format: "Title" featuring Singer/Group, where featuring is not part of the song's title - it's just
an extra informational suffix.

Meanwhile songs in anyone's collection are named either: "Title feat. Singer/Group" or "Title (feat. Singer/Group)", so the lyrics wiki
plugin doesn't yield any results.

Please, make this plugin strip everything in brackets, e.g.
"This is a name of a song (feat. Some Singer) [Year 2013]" should be queried as "This is a name of a song".

Thank you.

History

#1 - March 12, 2013 00:01 - John Lindgren

Are you saying that the songs in your music collection are tagged with titles similar to "This is a name of a song (feat. Some Singer) [Year 2013]"?

#2 - March 12, 2013 06:55 - Artem S. Tashkinov

Yes, some of them are.
Some are "This is a name of a song (feat. Some Singer)"
Others are "This is a name of a song (featured Some Singer)"

Then | have some songs "This is a name of a song (ft. Some Singer)"

#3 - March 13, 2013 00:05 - John Lindgren
- Tracker changed from Bug to Feature
- Target version deleted (38)

- Affects version deleted (3.0, 3.0.1, 3.0.2, 3.0.3, 3.0.4, 3.1, 3.1.1, 3.2-alphal, 3.2-betal, 3.1.2, 3.2-beta2, 3.2, 3.2.1, 3.2.2, 3.2.3, 3.3-alphal, 3.2.4,
3.3-betal, 3.3-beta2, 3.3, 3.4, 3.3.1, 3.3.2, 3.3.3, 3.3.4, 3.4-alphal)

An option could be added for this. It wouldn't do to make it the default behavior, though, since that would break song titles that legitimately contain
parentheses.

#4 - March 13, 2013 09:12 - Artem S. Tashkinov

I'm only asking this thing to be implemented only ...
"if it cannot find the lyrics for the original title".

#5 - July 10, 2016 07:03 - John Lindgren

- Status changed from New to Rejected

No plans to implement this currently. Probably better for it to be implemented on the server side anyway.
